

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.8.18. TokenUnigram &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.9. トークンフィルター" href="../token_filters.html" />
    <link rel="prev" title="7.8.17. TokenTrigram" href="token_trigram.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/tokenizers/token_unigram.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="../token_filters.html" title="7.9. トークンフィルター"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="token_trigram.html" title="7.8.17. TokenTrigram"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../tokenizers.html" accesskey="U"><span class="section-number">7.8. </span>トークナイザー</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.8.18. </span><code class="docutils literal notranslate"><span class="pre">TokenUnigram</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="tokenunigram">
<span id="token-unigram"></span><h1><span class="section-number">7.8.18. </span><code class="docutils literal notranslate"><span class="pre">TokenUnigram</span></code><a class="headerlink" href="#tokenunigram" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.8.18.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">TokenUnigram</span></code> は <a class="reference internal" href="token_bigram.html#token-bigram"><span class="std std-ref">TokenBigram</span></a> と似ています。違いはトークンの単位です。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.8.18.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">TokenUnigram</span></code> には、引数がありません。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>TokenUnigram
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.8.18.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>ノーマライザーを使っている場合は <code class="docutils literal notranslate"><span class="pre">TokenUnigram</span></code> はASCIIの文字には空白区切りのようなトークナイズ方法を使います。非ASCII文字にはユニグラムのトークナイズ方法を使います。</p>
<p><code class="docutils literal notranslate"><span class="pre">TokenUnigram</span></code> が非ASCII文字をトークナイズすると、以下の例のように <code class="docutils literal notranslate"><span class="pre">TokenUnigram</span></code> は各トークンが1文字となります。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize TokenUnigram &quot;日本語の勉強&quot; NormalizerAuto
# [
#   [
#     0,
#     1546584495.218799,
#     0.0002140998840332031
#   ],
#   [
#     {
#       &quot;value&quot;: &quot;日&quot;,
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     },
#     {
#       &quot;value&quot;: &quot;本&quot;,
#       &quot;position&quot;: 1,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     },
#     {
#       &quot;value&quot;: &quot;語&quot;,
#       &quot;position&quot;: 2,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     },
#     {
#       &quot;value&quot;: &quot;の&quot;,
#       &quot;position&quot;: 3,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     },
#     {
#       &quot;value&quot;: &quot;勉&quot;,
#       &quot;position&quot;: 4,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     },
#     {
#       &quot;value&quot;: &quot;強&quot;,
#       &quot;position&quot;: 5,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     }
#   ]
# ]
</pre></div>
</div>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.8.18. <code class="docutils literal notranslate"><span class="pre">TokenUnigram</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.8.18.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.8.18.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.8.18.3. 使い方</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="token_trigram.html"
                        title="前の章へ"><span class="section-number">7.8.17. </span><code class="docutils literal notranslate"><span class="pre">TokenTrigram</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="../token_filters.html"
                        title="次の章へ"><span class="section-number">7.9. </span>トークンフィルター</a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="../token_filters.html" title="7.9. トークンフィルター"
             >次へ</a> |</li>
        <li class="right" >
          <a href="token_trigram.html" title="7.8.17. TokenTrigram"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../tokenizers.html" ><span class="section-number">7.8. </span>トークナイザー</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.8.18. </span><code class="docutils literal notranslate"><span class="pre">TokenUnigram</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>